<SpaceStyle @space={{@model.space}} class="h-100 d-flex flex-column">
  {{#if @model.main.page}}
    {{#if this.headData.title}}
      {{page-title this.headData.title}}
    {{else}}
      {{page-title @model.main.page.name}}
    {{/if}}

    {{#if @model.main.page.canEdit}}
      <Page::EditBar @value={{@model.main.page}} @selectedId={{@model.main.data.selectedId}} />
    {{/if}}

    <Layout @conditions={{@conditions}} @page={{@model.main.page}} @model={{@model.main.data}} as |layoutCol|>
      <View::Selector @cols={{@model.main.page.cols}} @layoutCol={{layoutCol}} as |col|>
        <View::Slot
          @model={{@model.main.data}}
          @space={{@model.space}}
          @value={{col}}
          @state={{@state}}
          @onChangeState={{@onChangeState}}
        />
      </View::Selector>
    </Layout>

    {{#if (and @model.panel.page this.hasMapView)}}
      <Sidebar class="sidebar-model" @onClose={{this.closePanel}} as |size|>
        <Layout @page={{@model.panel.page}} @model={{@model.panel.data}} @size={{size}} as |layoutCol|>
          <View::Selector @cols={{@model.panel.page.cols}} @layoutCol={{layoutCol}} as |col|>
            <View::Slot
              @model={{@model.panel.data}}
              @deviceSize={{size}}
              @space={{@model.space}}
              @value={{col}}
              @state={{@state}}
              @onChangeState={{@onChangeState}}
            />
          </View::Selector>
        </Layout>
      </Sidebar>
    {{/if}}
  {{else if @model.redirect}}
    <div class="mt-5 pt-5 ps-1">
      <View::Slot
        @space={{@model.space}}
        @value={{this.redirectCol}}
      />
    </div>
  {{else}}
    <PageNotFound />
  {{/if}}
</SpaceStyle>